Debian Bug report logs - #706041
ITA: tpp -- text presentation program

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nico Golde <nion@debian.org>

Date: Tue, 23 Apr 2013 20:18:04 UTC

Owned by: Axel Beckert <abe@debian.org>

Severity: normal

Tags: pending

Fixed in version tpp/1.3.1-3

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706041; Package wnpp. (Tue, 23 Apr 2013 20:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 23 Apr 2013 20:18:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: tpp -- text presentation program
Date: Tue, 23 Apr 2013 22:16:21 +0200
Package: wnpp
Severity: normal

I intend to orphan the tpp package.

The package description is:
 Tpp stands for text presentation program and is an ncurses-based presentation
 tool. The presentation can be written with your favorite editor in a simple
 description format and then shown on any text terminal that is supported by
 ncurses - ranging from an old VT100 to the Linux framebuffer to an xterm.
 .
 It supports color, LaTeX output of presentation, sliding in text,
 a command prompt and additional cool features.

As I'm not using this anymore and my ruby is pretty rusty by now, I have no 
interest in maintaining this further.
There is one pending change being merged from a contributor that would address the ncurses
problems mentioned in the BTS.

https://github.com/akrennmair/tpp

Feel free to contribute here, Andreas is also happily merging pull requests.
But other than that, the project is not further developed.

Thanks
Nico



Changed Bug title to 'ITA: tpp -- text presentation program' from 'O: tpp -- text presentation program' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 16:27:07 GMT) Full text and rfc822 format available.

Owner recorded as Axel Beckert <abe@debian.org>. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 16:27:15 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Wed, 12 Jun 2013 21:21:32 GMT) Full text and rfc822 format available.

Notification sent to Nico Golde <nion@debian.org>:
Bug acknowledged by developer. (Wed, 12 Jun 2013 21:21:32 GMT) Full text and rfc822 format available.

Message #14 received at 706041-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 706041-close@bugs.debian.org
Subject: Bug#706041: fixed in tpp 1.3.1-3
Date: Wed, 12 Jun 2013 21:19:59 +0000
Source: tpp
Source-Version: 1.3.1-3

We believe that the bug you reported is fixed in the latest version of
tpp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706041@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated tpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Jun 2013 22:18:56 +0200
Source: tpp
Binary: tpp
Architecture: source all
Version: 1.3.1-3
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 tpp        - text presentation program
Closes: 669595 671530 671540 705965 706041 706644
Changes: 
 tpp (1.3.1-3) unstable; urgency=low
 .
   [ Jari Aalto ]
   * Switch from dpatch to source format "3.0 (quilt)". (Closes: #669595)
     + Remove dpatch traces from debian/rules and remove dpatch
       build-dependency
   * Bump debhelper compatibility to 9
     + Update versioned debhelper build-dependency
   * Use dh_prep instead of dh_clean -k
   * Fix the following lintian warnings:
     + copyright-refers-to-symlink-license
     + debhelper-but-no-misc-depends
     + debian-rules-missing-recommended-target
   * Add watch file
 .
   [ Axel Beckert ]
   * Adopt the package (Closes: #706041)
   * Cherry-pick afb57d9 (make key events work on ruby 1.9) from upstream
     (Closes: #671530)
   * Add patch to make parsing of --exec optional (Closes: #706644)
   * Update homepage to point to GitHub
   * Fix patch header
   * Update watch file to also check release tags at GitHub
   * Revamp debian/rules:
     + No more clean up stamp files manually (dh_clean does that now)
     + Remove redundant dh_installchangelogs parameter
     + Don't compress any .tpp example file
     + Replace dh_installexamples parameter with debian/examples
     + Switch to a dh7 style debian/rules file
     + Switch to gem2deb based packaging (Closes: #671540)
       Thanks to Per Andersson!
   * Suggest texlive-latex-extra instead of transitional package texpower
   * Bump Standards-Version to 3.9.4 (no further changes necessary)
   * Recode examples to UTF-8 at build time (Closes: #705965)
     + Add build-dependency on recode
   * Add Vcs-* headers
   * Apply wrap-and-sort
Checksums-Sha1: 
 e5d61832ad10d7faecf737c4f853f55c278aeda7 1190 tpp_1.3.1-3.dsc
 03b4e2809bd06bb8030d2da48396037dd3229b29 7323 tpp_1.3.1-3.debian.tar.gz
 f7afb16bad1ab8957f5b9f4b725a6604ad36835d 38594 tpp_1.3.1-3_all.deb
Checksums-Sha256: 
 bcf3f0fdec124984958ac26482acd299ae756288d6d528ba15d96b4de56bd955 1190 tpp_1.3.1-3.dsc
 42f916c1784e7725c86e2de7bcbc59a2203bb23567653ff7e0f5e0e70039dff6 7323 tpp_1.3.1-3.debian.tar.gz
 1fdb8c4de74d30c50e3b624f826e7ba53c0182e5ffd489c4975777e19c8e8f58 38594 tpp_1.3.1-3_all.deb
Files: 
 90767e3b8159d4b80bf46d585c99d762 1190 graphics optional tpp_1.3.1-3.dsc
 c19e051daf1dc1bbc14dcf6f82431b85 7323 graphics optional tpp_1.3.1-3.debian.tar.gz
 3431ac4f73e3f81095d9d88cc03d3af3 38594 graphics optional tpp_1.3.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlG42wgACgkQwJ4diZWTDt5SsgCfXM2BqfA94ueb8m+9iRCItiYL
tGAAmQGU5dXKIJYa44X9PrJ3J3IRb/jB
=iGOr
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 22:21:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Jul 2013 07:31:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:41:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.